Subject: RE: [AAA-WG]: What does "Snd-Conn-Nack" mean?

From: Cain Brian-BCAIN1 <[email-masked]>
Date: Mon, 4 Jun 2001 13:55:33 -0500

> > > Does this work for you?
> > 
> > I like it.  I would assume we can replace the corresponding 
> "Rcv-Conn-Nack"
> > events with the "Peer-Disc" events, too, right?
> 
> Is this really required? Isn't the above the equivalent of 
> connect() failing?

I'll defer to the expertise of the list.  

I'm under the impression that calling accept() or some such equivalent on a
listening socket, will send a transport "Conn-Ack" as soon as it receives
the connection request.  (i.e. accept would continue to block until after it
had sent the ACK).  This should cause the connect() on the other side to
succeed, though it would be quickly followed by a disconnection.  

Can someone confirm/deny this?

If I'm right about the above, then I think we'd want to ADD, not replace (as
I suggested before) the new disconnect events.

-Brian

---

From: Pat Calhoun <[email-masked]>
Date: Mon, 4 Jun 2001 11:54:24 -0700

> Can someone confirm/deny this?

There are really two cases. One where a connection request is unsuccessful, hence
the Nack, and one where the peers decides it does not wish the connection to be
established (after calling accept), and issues a disconnect.

> I suggested before) the new disconnect events.

I believe that the case you are talking about is already covered:

      Closed           Start            I-Snd-Conn-Req   Wait-Conn-Ack
                       R-Rcv-Conn-Req   R-Snd-Conn-Ack   Wait-R-DRR

  +-> Wait-Conn-Ack    I-Rcv-Conn-Ack   I-Snd-DRR        Wait-I-DRA
  |                    I-Rcv-Conn-Nack  Cleanup          Closed
  |                    R-Rcv-Conn-Req   R-Snd-Conn-Ack   Wait-Conn-Ack/
  |                                                      Wait-R-DRR
  |                    Timeout          Error            Closed
  |
  |   Wait-I-DRA       I-Rcv-DRA        Process-DRA      I-Open
  |                    R-Rcv-Conn-Req   R-Snd-Conn-Ack   Wait-R-DRR/
  |                                                      Elect
  | +-->               I-Peer-Disc      I-Disc           Closed
  | |                  Timeout          Error            Closed
  +----- Connection is accepted, state is changed to Wait-I-CEA
    |
    +--- Disconnect is sent by peer

Is this handling the case you were refering to?

PatC

---

From: Mark Eklund <[email-masked]>
Date: Mon, 4 Jun 2001 15:33:18 -0400 (EDT)

Brian,

In my suggested state table update (Re: [AAA-WG]: Support for
multi-process), I removed all Snd-Conn-Nacks and only have Disc.

-mark